package com.ylx.massage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.massage.domain.AfterSaleOrder;
import com.ylx.massage.domain.dto.AfterSaleOrderDTO;
import com.ylx.massage.domain.dto.AfterSaleOrderUpdateDTO;
import com.ylx.massage.domain.vo.OrderAfterSaleVo;

public interface IAfterSaleOrderService extends IService<AfterSaleOrder> {

    /**
     * 发起售后
     *
     * @param dto 售后订单DTO
     */
    void add(AfterSaleOrderDTO dto);

    OrderAfterSaleVo getOrderAfterSaleVo(Long orderId);

    void edit(AfterSaleOrderUpdateDTO dto);

    void cancel(Long orderId);

    void editByWechat(AfterSaleOrderUpdateDTO dto);

    void agreeReturn(Long orderId);

    void agreeExchange(Long orderId);

    void agreeRefund(Long orderId);

    void confirmReceive(Long orderId);
}
